GDB (xrefs)

Public Attributes | List of all members
stoken Struct Reference

`#include "parser-defs.h"`

## Public Attributes
const char * | ptr
int | length

## Detailed Description

Definition at line 88 of file parser-defs.h.

## Member Data Documentation

## ◆ length

int stoken::length

Definition at line 93 of file parser-defs.h.

Referenced by aarch64_stap_parse_special_token(), add_msglist(), amd64_dtrace_parse_probe_argument(), arm_stap_parse_special_token(), classify_name(), i386_stap_parse_special_token_three_arg_disp(), i386_stap_parse_special_token_triplet(), lex_one_token(), make_stoken(), match_string_literal(), operator_stoken(), ppc_stap_parse_special_token(), stap_parse_register_operand(), VEC(), write_dollar_variable(), write_exp_bitstring(), write_exp_string(), yylex(), and yyparse().

## ◆ ptr

const char* stoken::ptr

Definition at line 91 of file parser-defs.h.

Referenced by aarch64_stap_parse_special_token(), add_msglist(), amd64_dtrace_parse_probe_argument(), arm_stap_parse_special_token(), classify_name(), i386_stap_parse_special_token_three_arg_disp(), i386_stap_parse_special_token_triplet(), lex_one_token(), make_stoken(), match_string_literal(), operator_stoken(), ppc_stap_parse_special_token(), stap_parse_register_operand(), VEC(), write_dollar_variable(), write_exp_bitstring(), write_exp_string(), write_var_or_type(), yylex(), and yyparse().

The documentation for this struct was generated from the following file:

- /tmp/gdb-8.1/gdb/parser-defs.h